VisualEditor: Overlapping template boxes make some transclusions difficult or impossible to access
Closed, ResolvedPublic

Description

Overlapping template selection box in Firefox 22 on Linux

When templates do not have a defined width the blue selection box extends the whole width of the window, regardless of whether the template does. This means that in some cases, e.g. at [[Where Does This Door Go]], the transclusion editor icon is displayed not on top of the template.

More seriously it also means that smaller templates to the right of larger ones are difficult of impossible to access because they are completely covered by the other template's selection box. At the same article, the "Professional ratings" translcusion is difficult to select (you need to click it in line with the slug between the templates on the left) and the tooltip icon does not appear.


Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=49922

Attached:

bzimport set Reference to bz51933.
Thryduulf created this task.Via LegacyJul 24 2013, 8:43 AM
Elitre added a comment.Via ConduitAug 28 2013, 2:03 PM

I arrived here to document the same situation. A user at en.wp reports he's not able to edit reviews with VE at http://en.wikipedia.org/wiki/X_(Def_Leppard_album) because of the overlapping windows. While for me this is certainly the case with FF, with Chrome instead I am able to select the template if I click on the Review Scores line. This said, the icon to actually edit contents only appears... at the top of the Infobox album - definitely not where one would expect it to.

Elitre added a comment.Via ConduitAug 28 2013, 2:12 PM

*overlapping blocks, or templates, or whatever, you understood me :)

Elitre added a comment.Via ConduitAug 29 2013, 11:19 AM

The edit icon showing up in random places is also mentioned at https://bugzilla.wikimedia.org/show_bug.cgi?id=51548 .

Jdforrester-WMF added a comment.Via ConduitJun 9 2014, 6:20 AM
  • Bug 50970 has been marked as a duplicate of this bug. ***
Jdforrester-WMF added a comment.Via ConduitJun 9 2014, 6:20 AM
  • Bug 54301 has been marked as a duplicate of this bug. ***
gerritbot added a comment.Via ConduitJun 9 2014, 1:38 PM

Change 138338 had a related patch set uploaded by Esanders:
Special case for shielding of generated content wrappers

https://gerrit.wikimedia.org/r/138338

gerritbot added a comment.Via ConduitJun 11 2014, 10:27 PM

Change 138338 merged by jenkins-bot:
Special case for shielding of generated content wrappers

https://gerrit.wikimedia.org/r/138338

Jdforrester-WMF added a comment.Via ConduitJun 12 2014, 12:38 AM

Partially mitigated by the above but I believe not fixed. Resetting.

Esanders added a comment.Via ConduitJul 12 2014, 9:39 PM

Both of the examples linked to work now.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.